<?php
require_once(__DIR__ . '/mysqli_connect_w10.php');
error_reporting(E_ALL);
ini_set('display_errors', 1);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Assignment 11 - Employee and Order Search</title>
</head>
<body>
    <h2>Search for Employee by Employee Number</h2>
    <form method="post">
        <label for="employeeNumber">Employee Number:</label>
        <input type="text" name="employeeNumber" id="employeeNumber" required>
        <input type="submit" name="searchEmployee" value="Search Employee">
    </form>

    <h2>Search for Orders by Date Range</h2>
    <form method="post">
        <label for="startDate">Start Date (YYYY-MM-DD):</label>
        <input type="date" name="startDate" required>
        <label for="endDate">End Date (YYYY-MM-DD):</label>
        <input type="date" name="endDate" required>
        <input type="submit" name="searchOrders" value="Search Orders">
    </form>

    <hr>

<?php
if (isset($_POST['searchEmployee'])) {
    $employeeNumber = $_POST['employeeNumber'];
    $query = "SELECT employeeNumber, firstName, lastName, email, jobTitle FROM employees WHERE employeeNumber = ?";
    $stmt = mysqli_prepare($dbc, $query);
    mysqli_stmt_bind_param($stmt, "i", $employeeNumber);
    mysqli_stmt_execute($stmt);
    $result = mysqli_stmt_get_result($stmt);

    $num = mysqli_num_rows($result);
    echo "<h3>Found $num result(s) for Employee Number: $employeeNumber</h3>";

    if ($num > 0) {
        while ($row = mysqli_fetch_assoc($result)) {
            echo "<p><strong>{$row['firstName']} {$row['lastName']}</strong> - {$row['email']} ({$row['jobTitle']})</p>";
        }
    } else {
        echo "<p>No employee found with that number.</p>";
    }
}

if (isset($_POST['searchOrders'])) {
    $startDate = $_POST['startDate'];
    $endDate = $_POST['endDate'];
    $query = "SELECT orderNumber, orderDate, status, customerNumber FROM orders WHERE orderDate BETWEEN ? AND ?";
    $stmt = mysqli_prepare($dbc, $query);
    mysqli_stmt_bind_param($stmt, "ss", $startDate, $endDate);
    mysqli_stmt_execute($stmt);
    $result = mysqli_stmt_get_result($stmt);

    $num = mysqli_num_rows($result);
    echo "<h3>Found $num order(s) between $startDate and $endDate</h3>";

    if ($num > 0) {
        while ($row = mysqli_fetch_assoc($result)) {
            echo "<p><strong>Order #{$row['orderNumber']}</strong> - Date: {$row['orderDate']}, Status: {$row['status']}, Customer: {$row['customerNumber']}</p>";
        }
    } else {
        echo "<p>No orders found within that date range.</p>";
    }
}
?>
</body>
</html>
